Subject: Re: DWIM "git checkout frotz" to "git checkout -b frotz origin/frotz"

From: Miles Bader <[email-masked]>
Date: Mon, 07 Jun 2010 15:41:58 +0900

Clemens Buchacher <[email-masked]> writes:
> The suggestion above would be perfect. It is an easy and obvious
> solution, and the user is even educated about their mistake.

Of course, having been educated as to what's going on, the user would
then be annoyed that they had to type all those boilerplate args when
git clearly knew what they wanted to do... and that would be the case
every time from then on...

I think this DWIM is actually pretty convenient, and very often does
reflect what the user intuitively is trying to do when giving such args.

Given that git _does_ tell you what it's doing, and that it's easy
enough to delete the new branch if it wasn't really wanted, it seems
pretty harmless as well.  A campaign to delete this feature seems kind
of silly...

-Miles

-- 
I'm beginning to think that life is just one long Yoko Ono album; no rhyme
or reason, just a lot of incoherent shrieks and then it's over.  --Ian Wolff